summary refs log tree commit diff
path: root/pkgs/build-support
diff options
context:
space:
mode:
authorWill Dietz <w@wdtz.org>2018-09-28 11:17:33 -0500
committerWill Dietz <w@wdtz.org>2018-09-28 11:17:33 -0500
commit286381f0727a5aee3413c24989ad5fb609653c49 (patch)
tree8fa70236ecae9b81c5ea266d9806f58644950fb2 /pkgs/build-support
parent830f9fabd4a564bfbc3fbfc33a62b02010c0a7a5 (diff)
downloadnixlib-286381f0727a5aee3413c24989ad5fb609653c49.tar
nixlib-286381f0727a5aee3413c24989ad5fb609653c49.tar.gz
nixlib-286381f0727a5aee3413c24989ad5fb609653c49.tar.bz2
nixlib-286381f0727a5aee3413c24989ad5fb609653c49.tar.lz
nixlib-286381f0727a5aee3413c24989ad5fb609653c49.tar.xz
nixlib-286381f0727a5aee3413c24989ad5fb609653c49.tar.zst
nixlib-286381f0727a5aee3413c24989ad5fb609653c49.zip
patch-shebangs: simplify a bit per reviewer suggestion
Diffstat (limited to 'pkgs/build-support')
-rw-r--r--pkgs/build-support/setup-hooks/patch-shebangs.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/pkgs/build-support/setup-hooks/patch-shebangs.sh b/pkgs/build-support/setup-hooks/patch-shebangs.sh
index 0ac81102658b..18eb011b0c79 100644
--- a/pkgs/build-support/setup-hooks/patch-shebangs.sh
+++ b/pkgs/build-support/setup-hooks/patch-shebangs.sh
@@ -19,9 +19,7 @@ patchShebangs() {
     local newInterpreterLine
 
     find "$dir" -type f -perm -0100 | while read f; do
-        if ! isScript "$f"; then
-          continue
-        fi
+        isScript "$f" || continue
 
         oldInterpreterLine=$(head -1 "$f" | tail -c+3)
         read -r oldPath arg0 args <<< "$oldInterpreterLine"